Description

Hi

I create a libvirt compute resource, that has powerKVM as platform.

When i create a vm on this host with architecture ppc, the template says "Machine Type: kvm / x86_64"

Architecture is defined as pcc, media a.s.o. also

What information do you need to be able to look in this problem?

History

#1 - 11/23/2015 08:13 AM - Dominic Cleal

When i create a vm on this host with architecture ppc, the template says "Machine Type: kvm / x86_64"

 Sorry, what template are you talking about here precisely?

#2 - 11/23/2015 09:05 AM - Hans  Scheffers

- File foreman_img.gif added

Dominic Cleal wrote:

When i create a vm on this host with architecture ppc, the template says "Machine Type: kvm / x86_64"

 Sorry, what template are you talking about here precisely?

 The properties when you click on the create VM under the compute resource

#3 - 11/23/2015 09:15 AM - Dominic Cleal

- Subject changed from Architecture not in yaml to Libvirt VM details not showing correct architecture

- Category set to Compute resources - libvirt

This is probably a bug in fog-libvirt, it isn't populating the 'arch' attribute when retrieving the list of domains so it's falling back to the default that the

fog-libvirt model defines (x86_64).  (Assuming the arch is even supplied by libvirt.)

https://github.com/fog/fog-libvirt/blob/v0.0.2/lib/fog/libvirt/requests/compute/list_domains.rb#L52

#4 - 12/30/2016 09:48 AM - Anonymous

It seems at the moment even the ruby bindings for libvirt don't have that information available, which is why the x86_64 default of fog-libvirt wins here.
https://github.com/fog/fog-libvirt/blob/v0.0.2/lib/fog/libvirt/requests/compute/list_domains.rb#L52
